class Config(object):

    # SMTP Configuration
    SERVER = 'smtp.gmail.com' # Uses GMail SMTP by default
    PORT = 465 # Default GMail SSL SMTP port

    # Customisation
    GROUP = '' # Group/Organisation Name
    EMAIL_DOMAIN = '' # Email domain for organisation
    SUBJECT = f'{GROUP} Secret Santa Draw' if GROUP else 'Secret Santa Draw' # Email subject line
    GREETING = 'Ho Ho Ho' # Email greeting
    SENDER = 'The Secret Santa Elf' # Email sign-off

    # App Configs
    DATA = './data.json' # Data file
    OUTPUT = './output.json' # Output file

class Test(Config):

    # Test Config
    OVERRIDE_RECIPIENT = True # Override the recipient for all emails
    RECIPIENT_EMAIL = '' # Test email address to receive all outgoing email
